GET /blockscout/tokens

Query Parameters

q string optional query
Example: "USDT"
type string optional query
Example: "ERC-20,ERC-721,ERC-1155"

Responses

200 Token
application/json
items object[] REQUIRED
Array of:
circulating_market_cap string REQUIRED
icon_url string REQUIRED
name string REQUIRED
decimals string REQUIRED
symbol string REQUIRED
address string REQUIRED
type string REQUIRED
holders string REQUIRED
exchange_rate string REQUIRED
total_supply string REQUIRED
next_page_params object REQUIRED
400 Bad Input Parameter
curl -X GET 'https://data-api.b3.fun//blockscout/tokens'
const response = await fetch('https://data-api.b3.fun//blockscout/tokens', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
import requests

response = requests.get('https://data-api.b3.fun//blockscout/tokens')
print(response.json())
200 Response
{
  "items": [
    {
      "circulating_market_cap": "83606435600.3635",
      "icon_url": "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xdAC17F958D2ee523a2206206994597C13D831ec7/logo.png",
      "name": "Tether USD",
      "decimals": "6",
      "symbol": "USDT",
      "address": "0x394c399dbA25B99Ab7708EdB505d755B3aa29997",
      "type": "ERC-20",
      "holders": "837494234523",
      "exchange_rate": "0.99",
      "total_supply": "10000000"
    }
  ],
  "next_page_params": {
    "contract_address_hash": "0x68749665ff8d2d112fa859aa293f07a622782f38",
    "holder_count": 1011,
    "is_name_null": false,
    "items_count": 50,
    "market_cap": "482534473.2170469",
    "name": "Tether Gold"
  }
}
GET /blockscout/tokens
Ask a question... ⌘I